#
# spec file for package python-pylons-sphinx-themes
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2015 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-pylons-sphinx-themes
Version:        1.0.11
Release:        bp153.1.15
Summary:        Pylons Sphinx themes for documentation styling
License:        SUSE-Repoze
URL:            https://github.com/Pylons/pylons-sphinx-themes
Source:         https://files.pythonhosted.org/packages/source/p/pylons-sphinx-themes/pylons-sphinx-themes-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Pygments
Obsoletes:      python-pylons_sphinx_theme < %{version}
Provides:       python-pylons_sphinx_theme = %{version}
Obsoletes:      python-pylons_theme_support < %{version}
Provides:       python-pylons_theme_support = %{version}
BuildArch:      noarch
%ifpython2
Obsoletes:      %{oldpython}-pylons_sphinx_theme < %{version}
Provides:       %{oldpython}-pylons_sphinx_theme = %{version}
Obsoletes:      %{oldpython}-pylons_theme_support < %{version}
Provides:       %{oldpython}-pylons_theme_support = %{version}
%endif
%python_subpackages

%description
This repository is a Python package that contains Sphinx themes for Pylons
related projects. This project is based on Pylons Sphinx Theme (singular),
but uses a package implementation instead of git submodules and
manual steps.

To use a theme in your Sphinx documentation, follow the guide in README.md.

%prep
%setup -q -n pylons-sphinx-themes-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE.txt
%doc CHANGES.txt CONTRIBUTORS.txt README.md
%{python_sitelib}/pylons_sphinx_themes
%{python_sitelib}/pylons_sphinx_themes-%{version}-py*.egg-info

%changelog
* Sat Jan 18 2020 Arun Persaud <arun@gmx.de>
- specfile:
  * update copyright year
- update to version 1.0.11:
  * Fix the width of linenos table column when used in code-blocks.
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Thu Feb  7 2019 Hans-Peter Jansen <hpj@urpla.net>
- Update to version 1.0.10 (2018-09-25)
  + Add Read the Docs to the recipients of ad revenue.
- Update to version 1.0.9 (2018-09-23)
  + Remove hyphenation because it sometimes hyphenates
    inappropriately, such as in code.
- Update to version 1.0.8 (2018-09-21)
  + Fix support for Ethical Ads.
- Update to version 1.0.7 (2018-09-21)
  + Added support for Ethical Ads for Read The Docs.
    See https://github.com/Pylons/pylons-sphinx-themes/pull/12
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Jan 30 2018 toddrme2178@gmail.com
- Update to version 1.0.6
  * Update zest.releaser in order to release to PyPI.
- Update to version 1.0.5
  * Clean up licensing
    https://github.com/Pylons/pylons-sphinx-themes/issues/8
* Mon Sep 18 2017 toddrme2178@gmail.com
- Provide/obsolete old pylons_sphinx_theme
* Thu Jun 22 2017 aloisio@gmx.com
- Update to version 1.0.4
  * Specify line spacing for list items for only within the
    .body class.
  version 1.0.3
  * Add line spacing for list items. Closes #4.
  version 1.0.2:
  * Remove HTTPS protocol to allow either HTTPS or HTTP.
  version 1.0.1:
  * Use HTTPS for protocol of stylesheets.
  version 1.0:
  * Use zest.releaser for releasing.
  * Improve documentation.
- Converted to single-spec
* Wed Oct  7 2015 hpj@urpla.net
- version 0.3.1: initial build
